| Disk ARchive 2.7.19 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
libdar::heap< T > Class Template Reference
Private

the class heap is nothing related to the common heap datastructure this is just a "heap" in the sense of a pool of preallocated objects More...

`#include <heap.hpp>`

## Public Member Functions
| heap (const heap &ref)=delete
| heap (heap &&ref)=default
heap & | operator= (const heap &ref)=delete
heap & | operator= (heap &&ref) noexcept=default
std::unique_ptr< T > | get ()
void | put (std::unique_ptr< T > &&obj)
void | put (std::deque< std::unique_ptr< T > > &list)
U_I | get_size () const

## Private Attributes
std::deque< std::unique_ptr< T > > | tas

## Detailed Description

template<class T>
class libdar::heap< T >

the class heap is nothing related to the common heap datastructure this is just a "heap" in the sense of a pool of preallocated objects

Definition at line 48 of file heap.hpp.

## Constructor & Destructor Documentation

## ◆ heap()

template<class T >

libdar::heap< T >::heap | ( |  | ) |
| inline

Definition at line 51 of file heap.hpp.

## Member Function Documentation

## ◆ get_size()

template<class T >

U_I libdar::heap< T >::get_size | ( |  | ) | const
| inline

Definition at line 60 of file heap.hpp.

## Member Data Documentation

## ◆ tas

template<class T >

std::deque<std::unique_ptr<T> > libdar::heap< T >::tas
| private

Definition at line 63 of file heap.hpp.

The documentation for this class was generated from the following file:

- heap.hpp